com.taosdata.jdbc.rs

## Class ConnectionParam

- java.lang.Object
- - com.taosdata.jdbc.rs.ConnectionParam

    public class ConnectionParam
    extends Object

### Nested Class Summary

Nested Classes
`static class` `ConnectionParam.Builder`

### Field Summary

Fields
`static int` `CONNECT_MODE_BI`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getAppIp()`
`String` `getAppName()`
`String` `getAsyncWrite()`
`int` `getBackendWriteThreadNum()`
`int` `getBatchSizeByRow()`
`int` `getCacheSizeByRow()`
`String` `getCloudToken()`
`int` `getConnectMode()`
`int` `getConnectTimeout()`
`String` `getDatabase()`
`String` `getHost()`
`int` `getMaxRequest()`
`static ConnectionParam` `getParam(Properties properties)`
`static ConnectionParam` `getParamWs(Properties perperties)`
`String` `getPassword()`
`String` `getPort()`
`int` `getReconnectIntervalMs()`
`int` `getReconnectRetryCount()`
`int` `getRequestTimeout()`
`int` `getRetryTimes()`
`String` `getSlaveClusterHost()`
`String` `getSlaveClusterPort()`
`String` `getTz()`
`String` `getUser()`
`ZoneId` `getZoneId()`
`boolean` `isCopyData()`
`boolean` `isDisableSslCertValidation()`
`boolean` `isEnableAutoConnect()`
`boolean` `isEnableCompression()`
`boolean` `isStrictCheck()`
`boolean` `isUseSsl()`
`void` `setAppIp(String appIp)`
`void` `setAppName(String appName)`
`void` `setAsyncWrite(String asyncWrite)`
`void` `setBackendWriteThreadNum(int backendWriteThreadNum)`
`void` `setBatchSizeByRow(int batchSizeByRow)`
`void` `setCacheSizeByRow(int cacheSizeByRow)`
`void` `setCloudToken(String cloudToken)`
`void` `setConnectMode(int connectMode)`
`void` `setConnectTimeout(int connectTimeout)`
`void` `setCopyData(boolean copyData)`
`void` `setDatabase(String database)`
`void` `setDisableSslCertValidation(boolean disableSslCertValidation)`
`void` `setEnableAutoConnect(boolean enableAutoConnect)`
`void` `setEnableCompression(boolean enableCompression)`
`void` `setHost(String host)`
`void` `setMaxRequest(int maxRequest)`
`void` `setPassword(String password)`
`void` `setPort(String port)`
`void` `setReconnectIntervalMs(int reconnectIntervalMs)`
`void` `setReconnectRetryCount(int reconnectRetryCount)`
`void` `setRequestTimeout(int requestTimeout)`
`void` `setRetryTimes(int retryTimes)`
`void` `setSlaveClusterHost(String slaveClusterHost)`
`void` `setSlaveClusterPort(String slaveClusterPort)`
`void` `setStrictCheck(boolean strictCheck)`
`void` `setTz(String tz)`
`void` `setUser(String user)`
`void` `setUseSsl(boolean useSsl)`
`void` `setZoneId(ZoneId zoneId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CONNECT_MODE_BI

    public static final int CONNECT_MODE_BI

See Also:
  Constant Field Values

### Method Detail

#### setHost

    public void setHost(String host)

#### setPort

    public void setPort(String port)

#### setDatabase

    public void setDatabase(String database)

#### setCloudToken

    public void setCloudToken(String cloudToken)

#### setUser

    public void setUser(String user)

#### setPassword

    public void setPassword(String password)

#### setTz

    public void setTz(String tz)

#### setZoneId

    public void setZoneId(ZoneId zoneId)

#### setUseSsl

    public void setUseSsl(boolean useSsl)

#### setMaxRequest

    public void setMaxRequest(int maxRequest)

#### setConnectTimeout

    public void setConnectTimeout(int connectTimeout)

#### setRequestTimeout

    public void setRequestTimeout(int requestTimeout)

#### setConnectMode

    public void setConnectMode(int connectMode)

#### setEnableCompression

    public void setEnableCompression(boolean enableCompression)

#### setEnableAutoConnect

    public void setEnableAutoConnect(boolean enableAutoConnect)

#### setSlaveClusterHost

    public void setSlaveClusterHost(String slaveClusterHost)

#### setSlaveClusterPort

    public void setSlaveClusterPort(String slaveClusterPort)

#### setReconnectIntervalMs

    public void setReconnectIntervalMs(int reconnectIntervalMs)

#### setReconnectRetryCount

    public void setReconnectRetryCount(int reconnectRetryCount)

#### setDisableSslCertValidation

    public void setDisableSslCertValidation(boolean disableSslCertValidation)

#### setAppName

    public void setAppName(String appName)

#### setAppIp

    public void setAppIp(String appIp)

#### setCopyData

    public void setCopyData(boolean copyData)

#### setBatchSizeByRow

    public void setBatchSizeByRow(int batchSizeByRow)

#### setCacheSizeByRow

    public void setCacheSizeByRow(int cacheSizeByRow)

#### setBackendWriteThreadNum

    public void setBackendWriteThreadNum(int backendWriteThreadNum)

#### setStrictCheck

    public void setStrictCheck(boolean strictCheck)

#### setRetryTimes

    public void setRetryTimes(int retryTimes)

#### setAsyncWrite

    public void setAsyncWrite(String asyncWrite)

#### getHost

    public String getHost()

#### getPort

    public String getPort()

#### getDatabase

    public String getDatabase()

#### getCloudToken

    public String getCloudToken()

#### getUser

    public String getUser()

#### getPassword

    public String getPassword()

#### getTz

    public String getTz()

#### getZoneId

    public ZoneId getZoneId()

#### isUseSsl

    public boolean isUseSsl()

#### getMaxRequest

    public int getMaxRequest()

#### getConnectTimeout

    public int getConnectTimeout()

#### getRequestTimeout

    public int getRequestTimeout()

#### getConnectMode

    public int getConnectMode()

#### isEnableCompression

    public boolean isEnableCompression()

#### getSlaveClusterHost

    public String getSlaveClusterHost()

#### getSlaveClusterPort

    public String getSlaveClusterPort()

#### getReconnectIntervalMs

    public int getReconnectIntervalMs()

#### getReconnectRetryCount

    public int getReconnectRetryCount()

#### isEnableAutoConnect

    public boolean isEnableAutoConnect()

#### isDisableSslCertValidation

    public boolean isDisableSslCertValidation()

#### getAppName

    public String getAppName()

#### getAppIp

    public String getAppIp()

#### isCopyData

    public boolean isCopyData()

#### getBatchSizeByRow

    public int getBatchSizeByRow()

#### getCacheSizeByRow

    public int getCacheSizeByRow()

#### getBackendWriteThreadNum

    public int getBackendWriteThreadNum()

#### isStrictCheck

    public boolean isStrictCheck()

#### getRetryTimes

    public int getRetryTimes()

#### getAsyncWrite

    public String getAsyncWrite()

#### getParamWs

    public static ConnectionParam getParamWs(Properties perperties)
                                      throws SQLException

Throws:
  `SQLException`

#### getParam

    public static ConnectionParam getParam(Properties properties)
                                    throws SQLException

Throws:
  `SQLException`